## xboxdrv 0.8.2

=== doc/Makefile ===
all: xboxdrv.1

xboxdrv.1: xboxdrv.xml Makefile
	echo "<!ENTITY xboxdrv_version \"$$(cat ../VERSION)\">" > xboxdrv.ent
	db2x_xsltproc --stylesheet man "$<" | db2x_manxml
	xmlto xhtml -o xboxdrv.html -m config.xsl xboxdrv.xml
	tidy -utf8 -indent -wrap 1000 -m xboxdrv.html/index.html
#	docbook2x-texi --output-dir "../build/doc/" "$<"
#        MANWIDTH=80 man -l xboxdrv.1

# EOF #

=== debian/changelog ===
xboxdrv (0.8.2-1) unstable; urgency=low

  * New upstream version
  * Upload to unstable
  * debian/control:
    - change Architecture to linux-any because of a dependency on the linux
      uinput kernel module
    - update Build-Depends for the new version: remove libboost-thread1.42-dev,
      add libboost-dev, libdbus-glib-1-dev and libudev-dev, replace libusb-dev
      with libusb-1.0-0-dev
    - bump Standards-Version to 3.9.2 (no change needed)
    - move the package to the pkg-games team (change Maintainer and
      Uploaders), update Vcs-* paths respectively
    - move python and python-dbus from Suggests to Recommends because of new
      xboxdrvctl script, drop python-gobject from Suggests because
      xboxdrv-daemon was dropped
    - small Description fix
  * debian/copyright:
    - remove sections for src/gui/evdev.py and kernel/* because the
      corresponding files were removed
    - fix GPL2 license file path in debian/copyright
  * debian/docs:
    - remove lines for files that were dropped from the source
  * debian/install:
    - remove the file, as xboxdrv-daemon was dropped
  * Fix lintian warnings for xboxdrv.1 manpage
  * Add xboxdrvctl.1 manpage
  * Remove /usr/bin/env from the xboxdrvctl shebang (per Python Policy 1.4.2)

 -- Andrey Rahmatullin <wrar@wrar.name>  Tue, 16 Aug 2011 22:05:29 +0600

xboxdrv (0.6.4-1) experimental; urgency=low

  * Initial release (Closes: #610009)

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 15 Jan 2011 22:36:10 +0500

=== debian/control ===
Source: xboxdrv
Section: utils
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Andrey Rahmatullin <wrar@wrar.name>
Build-Depends: debhelper (>= 8), scons, libusb-1.0-0-dev, libx11-dev,
 libboost-dev, libdbus-glib-1-dev, libudev-dev
Standards-Version: 3.9.2
Homepage: http://pingus.seul.org/~grumbel/xboxdrv/
Vcs-Git: git://git.debian.org/pkg-games/xboxdrv.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/xboxdrv.git;a=summary

Package: xboxdrv
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python, python-dbus
Description: Xbox360 gamepad driver for the userspace
 This is a Xbox/Xbox360 gamepad driver for Linux that works in
 userspace. It is an alternative to the xpad kernel driver and has
 support for Xbox1 gamepads, Xbox360 USB gamepads and Xbox360 wireless
 gamepads. The Xbox360 guitar and some Xbox1 dancemats might work
 too. The Xbox 360 racing wheel is not supported, but shouldn't be to
 hard to add if somebody is interested.
 .
 This driver is only of interest if the xpad kernel driver doesn't
 work for you or if you want more configurabity. If the xpad kernel
 driver works for you there is no need to try this driver.
 .
 In addition to all the Xbox related stuff, the driver also supports
 the Thrustmaster Dual Power 3 gamepad, including rumble, which isn't
 supported by the normal kernel driver.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	make install PREFIX="/usr" DESTDIR="$(CURDIR)/debian/xboxdrv"
	sed -i '1s,#!/usr/bin/env python,#!/usr/bin/python,' $(CURDIR)/debian/xboxdrv/usr/bin/xboxdrvctl

## xboxdrv 0.8.4

=== SConstruct ===
# -*- python -*-

import subprocess
import string
import re

def build_dbus_glue(target, source, env):
    """
    C++ doesn't allow casting from void* to a function pointer,
    thus we have to change the code to use a union to do the
    conversion.
    """
    xml = subprocess.Popen(["dbus-binding-tool",
                            "--mode=glib-server",
                            "--prefix=" + env['DBUS_PREFIX'], source[0].get_path()],
                           stdout=subprocess.PIPE).communicate()[0]

    xml = re.sub(r"callback = \(([A-Za-z_]+)\) \(marshal_data \? marshal_data : cc->callback\);",
                 r"union { \1 fn; void* obj; } conv;\n  "
                 "conv.obj = (marshal_data ? marshal_data : cc->callback);\n  "
                 "callback = conv.fn;", xml)

    with open(target[0].get_path(), "w") as f:
        f.write(xml)

def build_bin2h(target, source, env):
    """
    Takes a list of files and converts them into a C source that can be included
    """
    def c_escape(str): 
        return str.translate(string.maketrans("/.-", "___"))
    
    print target
    print source
    with open(target[0].get_path(), "w") as fout:
        fout.write("// autogenerated by scons Bin2H builder, do not edit by hand!\n\n")

        if env.has_key("BIN2H_NAMESPACE"):
            fout.write("namespace %s {\n\n" % env["BIN2H_NAMESPACE"])
            
        # write down data
        for src in source:
            with open(src.get_path(), "rb") as fin:
                data = fin.read()
                fout.write("// \"%s\"\n" % src.get_path())
                fout.write("const char %s[] = {" % c_escape(src.get_path()))
                bytes_arr = ["0x%02x" % ord(c) for c in data]
                for i in xrange(len(bytes_arr)):
                    if i % 13 == 0:
                        fout.write("\n  ")
                    fout.write(bytes_arr[i])
                    if i != len(bytes_arr)-1:
                        fout.write(", ")
                fout.write("\n};\n\n")

        # write down file table
        if False:
            fout.write("const char** file_table = {\n")
            fout.write(string.join(["  %-35s %-s" % ("\"%s\"," % src.get_path(),
                                                     c_escape(src.get_path()))
                                    for src in source], ",\n"))
            fout.write("\n}\n\n")

        if env.has_key("BIN2H_NAMESPACE"):
            fout.write("} // namespace %s\n\n" % env["BIN2H_NAMESPACE"])
                
        fout.write("/* EOF */\n")
                

env = Environment(BUILDERS = {
    'DBusGlue' : Builder(action = build_dbus_glue),
    'Bin2H'    : Builder(action = build_bin2h)
    })

opts = Variables(['custom.py'], ARGUMENTS)

opts.Add('CPPPATH', 'Additional preprocessor paths')
opts.Add('CPPFLAGS', 'Additional preprocessor flags')
opts.Add('CPPDEFINES', 'defined constants')
opts.Add('LIBPATH', 'Additional library paths')
opts.Add('LIBS', 'Additional libraries')
opts.Add('CCFLAGS', 'C Compiler flags')
opts.Add('CXXFLAGS', 'C++ Compiler flags')
opts.Add('LINKFLAGS', 'Linker Compiler flags')
opts.Add('CC', 'C Compiler')
opts.Add('CXX', 'C++ Compiler')
opts.Add('BUILD', 'Build type: release, custom, development')

opts.Update(env)
Help(opts.GenerateHelpText(env))

env.Append(CPPPATH=["src/"])

if 'BUILD' in env and env['BUILD'] == 'development':
    env.Append(CXXFLAGS = [ "-O3",
                            "-g3",
                            "-ansi",
                            "-pedantic",
                            "-Wall",
                            "-Wextra",
                            "-Werror",
                            "-Wnon-virtual-dtor",
                            "-Weffc++",
                            # "-Wunreachable-code",
                            # "-Wconversion",
                            "-Wold-style-cast",
                            "-Wshadow",
                            "-Wcast-qual",
                            "-Winit-self", # only works with >= -O1
                            "-Wno-unused-parameter"])
elif 'BUILD' in env and env['BUILD'] == 'custom':
    pass
else:
    env.Append(CPPFLAGS = ['-g', '-O3', '-Wall', '-ansi', '-pedantic'])

env.ParseConfig("pkg-config --cflags --libs dbus-glib-1 | sed 's/-I/-isystem/g'")
env.ParseConfig("pkg-config --cflags --libs glib-2.0 | sed 's/-I/-isystem/g'")
env.ParseConfig("pkg-config --cflags --libs gthread-2.0 | sed 's/-I/-isystem/g'")
env.ParseConfig("pkg-config --cflags --libs libusb-1.0 | sed 's/-I/-isystem/g'")
env.ParseConfig("pkg-config --cflags --libs libudev | sed 's/-I/-isystem/g'")

f = open("VERSION")
package_version = f.read()
f.close()
    
env.Append(CPPDEFINES = { 'PACKAGE_VERSION': "'\"%s\"'" % package_version })

conf = Configure(env)

if not conf.env['CXX']:
    print "g++ must be installed!"
    Exit(1)

# X11 checks
if not conf.CheckLibWithHeader('X11', 'X11/Xlib.h', 'C++'):
    print 'libx11-dev must be installed!'
    Exit(1)

env = conf.Finish()

env.Bin2H("src/xboxdrv_vfs.hpp", [
    "examples/mouse.xboxdrv",
    "examples/xpad-wireless.xboxdrv"
    ],
          BIN2H_NAMESPACE="xboxdrv_vfs")
env.DBusGlue("src/xboxdrv_daemon_glue.hpp",     "src/xboxdrv_daemon.xml", DBUS_PREFIX="xboxdrv_daemon")
env.DBusGlue("src/xboxdrv_controller_glue.hpp", "src/xboxdrv_controller.xml", DBUS_PREFIX="xboxdrv_controller")

libxboxdrv = env.StaticLibrary('xboxdrv',
                               Glob('src/*.cpp') +
                               Glob('src/axisfilter/*.cpp') +
                               Glob('src/buttonfilter/*.cpp') +
                               Glob('src/axisevent/*.cpp') +
                               Glob('src/buttonevent/*.cpp') +
                               Glob('src/modifier/*.cpp'))
env.Prepend(LIBS = libxboxdrv)

for file in Glob('test/*_test.cpp', strings=True):
    Alias('tests', env.Program(file[:-4], file))

Default(env.Program('xboxdrv', Glob('src/main/main.cpp')))

# EOF #

=== debian/changelog ===
xboxdrv (0.8.4-1) unstable; urgency=low

  * New upstream version
  * debian/patches/fix-xboxdrv-manpage.patch:
    - update for the new upstream version
  * debian/compat:
    - bump to 9
  * debian/control:
    - bump Build-Depends for debhelper to >= 9
    - bump Standards-Version to 3.9.3 (no change needed)
  * debian/patches/use-PATH.patch:
    - use $PATH from the environment during the build to make use of ccache
      when it's available
  * debian/rules:
    - pass CPPFLAGS, CFLAGS, CXXFLAGS and LDFLAGS to scons
    - enable all hardening options
  * debian/copyright:
    - update the format URL
    - update copyright years

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 16 Jun 2012 16:25:17 +0600

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Andrey Rahmatullin <wrar@wrar.name>
-Build-Depends: debhelper (>= 8), scons, libusb-1.0-0-dev, libx11-dev,
+Build-Depends: debhelper (>= 9), scons, libusb-1.0-0-dev, libx11-dev,
  libboost-dev, libdbus-glib-1-dev, libudev-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pingus.seul.org/~grumbel/xboxdrv/
 Vcs-Git: git://git.debian.org/pkg-games/xboxdrv.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/xboxdrv.git;a=summary

## xboxdrv 0.8.5

=== Makefile ===
##  Xbox/Xbox360 USB Gamepad Userspace Driver
##  Copyright (C) 2010 Ingo Ruhnke <grumbel@gmx.de>
##
##  This program is free software: you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation, either version 3 of the License, or
##  (at your option) any later version.
##  
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##  
##  You should have received a copy of the GNU General Public License
##  along with this program.  If not, see <http://www.gnu.org/licenses/>.

DESTDIR = 
PREFIX  = /usr/local
DATADIR = $(PREFIX)/share/xboxdrv
MANDIR  = $(PREFIX)/share/man
BINDIR  = $(PREFIX)/bin

xboxdrv:
	scons

clean:
	scons -c
	rm -rf .sconf_temp/
	rm -f .sconsign.dblite
	rm -f config.log

install: install-exec install-man

install-exec: xboxdrv
	install -D xboxdrv "$(DESTDIR)$(BINDIR)/xboxdrv"
	install -D xboxdrvctl "$(DESTDIR)$(BINDIR)/xboxdrvctl"

install-man:
	install -D doc/xboxdrv.1 "$(DESTDIR)$(MANDIR)/man1/xboxdrv.1"

.PHONY : clean install install-exec install-man

# EOF #

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- python -*-
 
-
+import os
 import subprocess
 import string
 import re
@@ -71,7 +71,7 @@
                 
 
 
-env = Environment(BUILDERS = {
+env = Environment(ENV=os.environ, BUILDERS = {
     'DBusGlue' : Builder(action = build_dbus_glue),
     'Bin2H'    : Builder(action = build_bin2h)
     })

=== doc/Makefile ===
all: xboxdrv.1

xboxdrv.1: xboxdrv.xml Makefile
	echo "<!ENTITY xboxdrv_version \"$$(cat ../VERSION)\">" > xboxdrv.ent
	db2x_xsltproc --stylesheet man "$<" | db2x_manxml
	xmlto xhtml -o xboxdrv.html -m config.xsl xboxdrv.xml
	mv -v xboxdrv.html/index.html xboxdrv.html/index.orig.html
	tidy -utf8 -indent -wrap 1000 -o xboxdrv.html/index.html xboxdrv.html/index.orig.html
#	docbook2x-texi --output-dir "../build/doc/" "$<"
#        MANWIDTH=80 man -l xboxdrv.1

# EOF #

=== debian/changelog ===
xboxdrv (0.8.5-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - bump Standards-Version to 3.9.4 (no change needed)
  * debian/patches/:
    - drop use-PATH.patch (not needed anymore as the whole environment is
      imported now)
  * debian/control:
    - use canonical anonscm.d.o URLs in the Vcs-* fields
  * debian/copyright:
    - update the copyright years

 -- Andrey Rahmatullin <wrar@wrar.name>  Sun, 05 May 2013 16:17:43 +0600

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Andrey Rahmatullin <wrar@wrar.name>
 Build-Depends: debhelper (>= 9), scons, libusb-1.0-0-dev, libx11-dev,
  libboost-dev, libdbus-glib-1-dev, libudev-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pingus.seul.org/~grumbel/xboxdrv/
-Vcs-Git: git://git.debian.org/pkg-games/xboxdrv.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/xboxdrv.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-games/xboxdrv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/xboxdrv.git;a=summary
 
 Package: xboxdrv
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	scons CPPFLAGS="$(CPPFLAGS)" CCFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LINKFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	make install PREFIX="/usr" DESTDIR="$(CURDIR)/debian/xboxdrv"
	sed -i '1s,#!/usr/bin/env python,#!/usr/bin/python,' $(CURDIR)/debian/xboxdrv/usr/bin/xboxdrvctl

=== debian/watch ===
version=3
http://pingus.seul.org/~grumbel/xboxdrv/ xboxdrv-linux-(.+).tar.bz2

## xboxdrv 0.8.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##  Xbox/Xbox360 USB Gamepad Userspace Driver
-##  Copyright (C) 2010 Ingo Ruhnke <grumbel@gmx.de>
+##  Copyright (C) 2010 Ingo Ruhnke <grumbel@gmail.com>
 ##
 ##  This program is free software: you can redistribute it and/or modify
 ##  it under the terms of the GNU General Public License as published by

=== tools/SConstruct ===
# -*- python -*-

env = Environment(CPPFLAGS=["-g", "-O2", "-Wall"])
env.Program("jstest", ["jstest.c"])
env.Program("evtest", ["evtest.c"])
env.Program("usbcat", ["usbcat.cpp"], LIBS = ["usb"])
env.Program("usbdebug", ["usbdebug.cpp"], LIBS = ["usb", "pthread"])
env.Program("evtestplus", ["evtestplus.cpp"])
env.Program("evsend", ["evsend.cpp"])
env.Program("usbtool", ["usbtool.c"])

# EOF #

=== debian/changelog ===
xboxdrv (0.8.8-4) unstable; urgency=medium

  * Team upload.
  * Adjust to the new 64-bit input_event API. Closes: #1066939.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Mar 2024 10:36:00 +0100

xboxdrv (0.8.8-3) unstable; urgency=medium

  * Team upload.
  * Apply upstream patch to port xboxdrv to Python 3. Closes: #945748.
  * Apply patch from László Böszörményi to allow building with SCons
    4.3.0. Closes: #1003029.

 -- Stephen Kitt <skitt@debian.org>  Sat, 27 Aug 2022 22:01:33 +0200

xboxdrv (0.8.8-2) unstable; urgency=medium

  * Team upload.

  [ Phil Wyett ]
  * Fix build with Python3-enabled scons. (Closes: #947585)

  [ Reiner Herrmann ]
  * Update watch file. (Closes: #895734)
  * debian/control:
    - update homepage.
    - point Vcs-* URLs to salsa.
    - update debhelper compat to 12
    - update Standards-Version to 4.5.0
    - declare that d/rules does not require root
  * Use https URL for copyright format.
  * Drop unused lintian override.

 -- Markus Koschany <apo@debian.org>  Sun, 02 Feb 2020 20:12:24 +0100

xboxdrv (0.8.8-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    - bump Standards-Version to 3.9.7 (no change needed)
    - update Vcs-* fields
    - update my email
  * debian/copyright:
    - update my email and the copyright years
  * debian/docs:
    - update for README -> README.md rename
  * debian/patches/fix-build-flags-parsing.patch:
    - fix handling *FLAGS environment variables containing >1 flags (Closes:
      #809247), thanks to Bertrand Marc
  * debian/patches/fix-xboxdrv-manpage.patch:
    - fix new spelling problems
  * debian/rules:
    - update for python -> python2 change in the /usr/bin/xboxdrvctl shebang
  * debian/xboxdrv.lintian-overrides:
    - override python-script-but-no-python-dep as the deps exist in Recommends

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Mar 2016 18:19:53 +0500

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Andrey Rahmatullin <wrar@wrar.name>
-Build-Depends: debhelper (>= 9), scons, libusb-1.0-0-dev, libx11-dev,
+Uploaders: Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper-compat (= 12), scons, libusb-1.0-0-dev, libx11-dev,
  libboost-dev, libdbus-glib-1-dev, libudev-dev
-Standards-Version: 3.9.4
-Homepage: http://pingus.seul.org/~grumbel/xboxdrv/
-Vcs-Git: git://anonscm.debian.org/pkg-games/xboxdrv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/xboxdrv.git;a=summary
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://xboxdrv.gitlab.io/
+Vcs-Git: https://salsa.debian.org/games-team/xboxdrv.git
+Vcs-Browser: https://salsa.debian.org/games-team/xboxdrv
 
 Package: xboxdrv
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: python, python-dbus
+Recommends: python3, python3-dbus
 Description: Xbox360 gamepad driver for the userspace
  This is a Xbox/Xbox360 gamepad driver for Linux that works in
  userspace. It is an alternative to the xpad kernel driver and has

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 
 override_dh_auto_install:
 	make install PREFIX="/usr" DESTDIR="$(CURDIR)/debian/xboxdrv"
-	sed -i '1s,#!/usr/bin/env python,#!/usr/bin/python,' $(CURDIR)/debian/xboxdrv/usr/bin/xboxdrvctl
+	sed -i '1s,#!/usr/bin/env python3,#!/usr/bin/python3,' $(CURDIR)/debian/xboxdrv/usr/bin/xboxdrvctl

=== debian/watch ===
version=4
https://gitlab.com/xboxdrv/xboxdrv/tags?sort=updated_desc \
 .*/archive/v?@ANY_VERSION@/.*@ARCHIVE_EXT@
